Bug 1457722 - CVE-2017-5645 log4j12: log4j: Socket receiver deserialization vulnerability [fedora-all]
Summary: CVE-2017-5645 log4j12: log4j: Socket receiver deserialization vulnerability [...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: log4j12
Version: 25
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Michael Simacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2017-5645
TreeView+ depends on / blocked
 
Reported: 2017-06-01 07:56 UTC by Cedric Buissart 🐶
Modified: 2017-06-12 21:41 UTC (History)
3 users (show)

Fixed In Version: log4j12-1.2.17-19.fc26 log4j12-1.2.17-19.fc24 log4j12-1.2.17-19.fc25
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-09 19:22:41 UTC


Attachments (Terms of Use)

Comment 1 Cedric Buissart 🐶 2017-06-01 07:56:51 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1443635

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2017-06-02 13:51:10 UTC
log4j12-1.2.17-19.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b8358cda24

Comment 3 Fedora Update System 2017-06-02 13:52:26 UTC
log4j12-1.2.17-19.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8348115acd

Comment 4 Fedora Update System 2017-06-02 13:53:17 UTC
log4j12-1.2.17-19.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7e0ff7f73a

Comment 5 Fedora Update System 2017-06-03 04:36:13 UTC
log4j12-1.2.17-19.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7e0ff7f73a

Comment 6 Fedora Update System 2017-06-03 04:38:21 UTC
log4j12-1.2.17-19.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8348115acd

Comment 7 Fedora Update System 2017-06-04 19:40:54 UTC
log4j12-1.2.17-19.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b8358cda24

Comment 8 Fedora Update System 2017-06-09 19:22:41 UTC
log4j12-1.2.17-19.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-06-12 19:28:33 UTC
log4j12-1.2.17-19.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-06-12 21:41:08 UTC
log4j12-1.2.17-19.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.